org.apache.ignite.internal.processors.odbc

## Interface ClientListenerMessageParser

All Known Implementing Classes:
  ClientMessageParser, JdbcMessageParser, OdbcMessageParser

    public interface ClientListenerMessageParser

Client listener message parser.

### Method Summary

All Methods Instance Methods Abstract Methods
`ClientListenerRequest` `decode(ClientMessage msg)` Decode request from byte array.
`int` `decodeCommandType(ClientMessage msg)` Decode command type.
`long` `decodeRequestId(ClientMessage msg)` Decode request Id.
`ClientMessage` `encode(ClientListenerResponse resp)` Encode response to byte array.

### Method Detail

#### decode

    ClientListenerRequest decode(ClientMessage msg)

Decode request from byte array.

Parameters:
  `msg` - Message.
Returns:
  Request.

#### encode

    ClientMessage encode(ClientListenerResponse resp)

Encode response to byte array.

Parameters:
  `resp` - Response.
Returns:
  Message.

#### decodeCommandType

    int decodeCommandType(ClientMessage msg)

Decode command type. Allows to recognize the command (message type) without decoding the entire message.

Parameters:
  `msg` - Message.
Returns:
  Command type.

#### decodeRequestId

    long decodeRequestId(ClientMessage msg)

Decode request Id. Allows to recognize the request Id, if any, without decoding the entire message.

Parameters:
  `msg` - Message.
Returns:
  Request Id.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.10.0
Release Date | : March 10 2021